﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.MAT.000007
         ELS Ref: V176

		     IF (([mat2] <> NULLORBLANK) AND (([mat2] < 012000) OR ([mat2] > 999999)))
		       RETURN VALIDATION MESSAGE
		     ENDIF

		     [mat2] = pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number
    -->
    <assert id="VR.ATO.MAT.000007" diagnostics="DVR.ATO.MAT.000007"
            test="not(
                          $mat2
                          [
                            . &lt; '012000'
                            or
                            . > '999999'
                          ]
                      )" />
    
    
    <!-- Rule ID: VR.ATO.MAT.000008
         ELS Ref: N/A

		     IF ([mat5] = TRUE)  AND ([mat2] <> NULLORBLANK OR [mat3] <> NULLORBLANK OR [mat4] <> NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [mat2] = pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number
         [mat3] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
         [mat4] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
         [mat5] = pyid.xx.xx:FinancialInstitutionAccount.AccountClosed.Indicator
    -->
    <assert id="VR.ATO.MAT.000008" diagnostics="DVR.ATO.MAT.000008"
            test="not(
                          $mat5[matches(.,'^(true|1)$')]
                          and
                          (
                            $mat2[not(@i:nil='true') and string-length(.) != 0]
                            or
                            $mat3[not(@i:nil='true') and string-length(.) != 0]
                            or
                            $mat4[not(@i:nil='true') and string-length(.) != 0]
                          )
                      )" />
    
    
    <!-- Rule ID: VR.ATO.MAT.000009
         ELS Ref: N/A

		     IF ([mat5] <> TRUE)  AND ([mat2] = NULLORBLANK OR [mat3] = NULLORBLANK OR [mat4] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [mat2] = pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number
         [mat3] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
         [mat4] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
         [mat5] = pyid.xx.xx:FinancialInstitutionAccount.AccountClosed.Indicator
    -->
    <assert id="VR.ATO.MAT.000009" diagnostics="DVR.ATO.MAT.000009"
            test="not(
                          not($mat5[matches(.,'^(true|1)$')])
                          and
                          (
                            not($mat2[not(@i:nil='true') and string-length(.) != 0])
                            or
                            not($mat3[not(@i:nil='true') and string-length(.) != 0])
                            or
                            not($mat4[not(@i:nil='true') and string-length(.) != 0])
                          )
                      )" />
  </rule>
    
</pattern>
