﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.MAT.000001
         ELS Ref: V7

		     IF LENGTH([mat3]) > 9
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [mat3] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
    -->
    <assert id="VR.ATO.MAT.000001" diagnostics="DVR.ATO.MAT.000001"
            test="not(
                        $mat3[string-length(.) > 9]
                     )"/>
  </rule>
  
  <rule context="xbrli:xbrl/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.432041
        ELS Ref: V7
         
        IF LENGTH(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text) > 32
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.432041" diagnostics="DVR.ATO.GEN.432041"
            test="not(
                        string-length(.) > 32
                     )"/>
    
  </rule>
  
</pattern>