﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.MAT.000002
         ELS Ref: V2452

		     IF ([mat4] STARTSWITH " ")
		       RETURN VALIDATION MESSAGE
		     ENDIF

		     [mat4] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
    -->
    <assert id="VR.ATO.MAT.000002" diagnostics="DVR.ATO.MAT.000002"
            test="not(
                        $mat4[matches(.,'^( )(.*)$', 'i')]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.MAT.000003
         ELS Ref: V9

         IF ([mat4] <> NULLORBLANK) AND (ANY CHARACTER OF [mat4] <> SET(a-z,A-Z,0-9,"&","*","(",")","-","'",".","/"," "))
           RETURN VALIDATION MESSAGE
		     ENDIF

		     [mat4] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
    -->
    <assert id="VR.ATO.MAT.000003" diagnostics="DVR.ATO.MAT.000003"
            test="not(
                        $mat4
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#!@$%\[\];:&#x22;?,]')
                        ]                        
                    )"/>
    
  </rule>
</pattern>