﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  
  <diagnostic id="DVR.ATO.MAT.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MAT.000001</Code>
      <Description>Account Number must not exceed 9 characters</Description>
      <LongDescription>For Account Number, the maximum allowable characters for this form is 9</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MAT.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MAT.000002</Code>
      <Description>Account name contains a leading space</Description>
      <LongDescription>The account name is preceded by a space, or contains only a space. Remove all leading spaces.</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MAT.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MAT.000003</Code>
      <Description>Account name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 &#x26; * ( ) - ' . / or a space character</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MAT.000007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MAT.000007</Code>
      <Description>Bank/State/Branch number invalid. Valid range is 012000 - 999999.</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MAT.000008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MAT.000008</Code>
      <Description>Financial details must not be provided</Description>
      <LongDescription>When 'Remove Financial Details' is Yes (true), BSB, Account Number and Account Name must not be provided</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MAT.000009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MAT.000009</Code>
      <Description>Financial details must be provided</Description>
      <LongDescription>When 'Remove Financial Details' is No (false) or not provided, BSB, Account Number and Account Name must be provided</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.432041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432041</Code>
      <Description>Bank account name must not be longer than 32 characters</Description>
      <LongDescription>32 characters is the Banking Standard and set by the Banking Industry</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500078</Code>
      <Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/ran"</Description>
      <LongDescription />
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500079" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500079</Code>
      <Description>The Requestor Agent number has failed the Tax Agent number algorithm check</Description>
      <LongDescription />
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

</diagnostics>
